# Uses of Class
org.apache.sysds.runtime.instructions.cp.Data

Packages that use Data
Package
Description
org.apache.sysds.api.jmlc
org.apache.sysds.api.mlcontext
org.apache.sysds.runtime.controlprogram
org.apache.sysds.runtime.controlprogram.caching
org.apache.sysds.runtime.controlprogram.context
org.apache.sysds.runtime.controlprogram.federated
org.apache.sysds.runtime.controlprogram.paramserv
org.apache.sysds.runtime.functionobjects
org.apache.sysds.runtime.instructions.cp
org.apache.sysds.runtime.instructions.fed
org.apache.sysds.runtime.lineage
org.apache.sysds.runtime.util

## Uses of Data in org.apache.sysds.api.jmlc

Methods in org.apache.sysds.api.jmlc that return types with arguments of type Data
Modifier and Type
Method
Description
`List<Data>`
ResultVariables.`getList(String varname)`
Obtain the list represented by the given output variable.

## Uses of Data in org.apache.sysds.api.mlcontext

Methods in org.apache.sysds.api.mlcontext that return Data
Modifier and Type
Method
Description
`static Data`
MLContextUtil.`convertInputType(String parameterName, Object parameterValue)`
Convert input types to internal SystemDS representations
`static Data`
MLContextUtil.`convertInputType(String parameterName, Object parameterValue, Metadata metadata)`
Convert input types to internal SystemDS representations
`Data`
MLResults.`getData(String outputName)`
Obtain an output as a `Data` object.

## Uses of Data in org.apache.sysds.runtime.controlprogram

Methods in org.apache.sysds.runtime.controlprogram that return Data
Modifier and Type
Method
Description
`Data`
LocalVariableMap.`get(String name)`
Retrieves the data object given its name.
`Data`
LocalVariableMap.`remove(String name)`
Methods in org.apache.sysds.runtime.controlprogram that return types with arguments of type Data
Modifier and Type
Method
Description
`Set<Map.Entry<String,Data>>`
LocalVariableMap.`entrySet()`
Methods in org.apache.sysds.runtime.controlprogram with parameters of type Data
Modifier and Type
Method
Description
`boolean`
LocalVariableMap.`hasReferences(Data d)`
`void`
LocalVariableMap.`put(String name, Data val)`
Adds a new (name, value) pair to the variable map, or replaces an old pair with the same name.
Method parameters in org.apache.sysds.runtime.controlprogram with type arguments of type Data
Modifier and Type
Method
Description
`void`
LocalVariableMap.`putAll(Map<String,Data> vals)`

## Uses of Data in org.apache.sysds.runtime.controlprogram.caching

Subclasses of Data in org.apache.sysds.runtime.controlprogram.caching
Modifier and Type
Class
Description
`class`
`CacheableData<T extends CacheBlock<?>>`
Each object of this class is a cache envelope for some large piece of data called "cache block".
`class`
`FrameObject`
`class`
`MatrixObject`
Represents a matrix in control program.
`class`
`TensorObject`

## Uses of Data in org.apache.sysds.runtime.controlprogram.context

Subclasses of Data in org.apache.sysds.runtime.controlprogram.context
Modifier and Type
Class
Description
`class`
`MatrixObjectFuture`
Methods in org.apache.sysds.runtime.controlprogram.context that return Data
Modifier and Type
Method
Description
`Data`
ExecutionContext.`getVariable(String name)`
`Data`
ExecutionContext.`getVariable(CPOperand operand)`
`Data`
ExecutionContext.`removeVariable(String name)`
Methods in org.apache.sysds.runtime.controlprogram.context with parameters of type Data
Modifier and Type
Method
Description
`final void`
ExecutionContext.`cleanupDataObject(Data dat)`
`void`
ExecutionContext.`setVariable(String name, Data val)`

## Uses of Data in org.apache.sysds.runtime.controlprogram.federated

Methods in org.apache.sysds.runtime.controlprogram.federated with parameters of type Data
Modifier and Type
Method
Description
`FederatedResponse`
FederatedData.GetPrivacyConstraints.`execute(ExecutionContext ec, Data... data)`
`FederatedResponse`
FederatedStatistics.FedStatsCollectFunction.`execute(ExecutionContext ec, Data... data)`
`abstract FederatedResponse`
FederatedUDF.`execute(ExecutionContext ec, Data... data)`
Execute the user-defined function on a set of data objects (e.g., matrix objects, frame objects, or scalars), which are looked up by specified input IDs and passed in the same order.

## Uses of Data in org.apache.sysds.runtime.controlprogram.paramserv

Methods in org.apache.sysds.runtime.controlprogram.paramserv with parameters of type Data
Modifier and Type
Method
Description
`static void`
ParamservUtils.`cleanupData(ExecutionContext ec, Data data)`

## Uses of Data in org.apache.sysds.runtime.functionobjects

Methods in org.apache.sysds.runtime.functionobjects that return Data
Modifier and Type
Method
Description
`Data`
CM.`execute(Data in1, double in2)`
Special case for weights w2==1
`Data`
CM.`execute(Data in1, double in2, double w2)`
General case for arbitrary weights w2
`Data`
CM.`execute(Data in1, Data in2)`
Combining stats from two partitions of the data.
`Data`
COV.`execute(Data in1, double u, double v)`
Special case for weights w2==1
`Data`
COV.`execute(Data in1, double u, double v, double w2)`
General case for arbitrary weights w2
`Data`
COV.`execute(Data in1, Data in2)`
`Data`
FunctionObject.`execute(Data in1, double in2)`
`Data`
FunctionObject.`execute(Data in1, double in2, double in3)`
`Data`
FunctionObject.`execute(Data in1, double in2, double in3, double in4)`
`Data`
FunctionObject.`execute(Data in1, Data in2)`
`Data`
KahanPlus.`execute(Data in1, double in2)`
`Data`
KahanPlus.`execute(Data in1, double in2, double in3)`
`Data`
KahanPlusSq.`execute(Data kObj, double in)`
Square the given term, then add to the existing sum using the Kahan summation algorithm.
`Data`
KahanPlusSq.`execute(Data kObj, double sum, double corr)`
Add the given sum and correction factor to the existing sum in the KahanObject using the Kahan summation algorithm.
`Data`
Mean.`execute(Data in1, double in2, double count)`
Methods in org.apache.sysds.runtime.functionobjects with parameters of type Data
Modifier and Type
Method
Description
`Data`
CM.`execute(Data in1, double in2)`
Special case for weights w2==1
`Data`
CM.`execute(Data in1, double in2, double w2)`
General case for arbitrary weights w2
`Data`
CM.`execute(Data in1, Data in2)`
Combining stats from two partitions of the data.
`Data`
COV.`execute(Data in1, double u, double v)`
Special case for weights w2==1
`Data`
COV.`execute(Data in1, double u, double v, double w2)`
General case for arbitrary weights w2
`Data`
COV.`execute(Data in1, Data in2)`
`Data`
FunctionObject.`execute(Data in1, double in2)`
`Data`
FunctionObject.`execute(Data in1, double in2, double in3)`
`Data`
FunctionObject.`execute(Data in1, double in2, double in3, double in4)`
`Data`
FunctionObject.`execute(Data in1, Data in2)`
`Data`
KahanPlus.`execute(Data in1, double in2)`
`Data`
KahanPlus.`execute(Data in1, double in2, double in3)`
`Data`
KahanPlusSq.`execute(Data kObj, double in)`
Square the given term, then add to the existing sum using the Kahan summation algorithm.
`Data`
KahanPlusSq.`execute(Data kObj, double sum, double corr)`
Add the given sum and correction factor to the existing sum in the KahanObject using the Kahan summation algorithm.
`Data`
Mean.`execute(Data in1, double in2, double count)`

## Uses of Data in org.apache.sysds.runtime.instructions.cp

Subclasses of Data in org.apache.sysds.runtime.instructions.cp
Modifier and Type
Class
Description
`class`
`BooleanObject`
`class`
`CiphertextMatrix`
This class abstracts over an encrypted matrix of ciphertexts.
`class`
`CmCovObject`
`class`
`DoubleObject`
`class`
`Encrypted`
This class abstracts over an encrypted data.
`class`
`IntObject`
`class`
`KahanObject`
`class`
`ListObject`
`class`
`PlaintextMatrix`
This class abstracts over an encrypted matrix of ciphertexts.
`class`
`ScalarObject`
`class`
`StringObject`
Methods in org.apache.sysds.runtime.instructions.cp that return Data
Modifier and Type
Method
Description
`Data`
ListObject.`getData(int ix)`
`Data`
ListObject.`getData(String name)`
`Data`
ListObject.`set(String name, Data data)`
`Data`
ListObject.`set(String name, Data data, LineageItem li)`
`Data`
ListObject.`slice(int ix)`
`Data`
ListObject.`slice(String name)`
Methods in org.apache.sysds.runtime.instructions.cp that return types with arguments of type Data
Modifier and Type
Method
Description
`List<Data>`
ListObject.`getData()`
Methods in org.apache.sysds.runtime.instructions.cp with parameters of type Data
Modifier and Type
Method
Description
`ListObject`
ListObject.`add(String name, Data dat, LineageItem li)`
`ListObject`
ListObject.`add(Data dat, LineageItem li)`
`boolean`
ListObject.`contains(Data d)`
`ListObject`
ListObject.`set(int ix, Data data)`
`ListObject`
ListObject.`set(int ix, Data data, LineageItem li)`
`Data`
ListObject.`set(String name, Data data)`
`Data`
ListObject.`set(String name, Data data, LineageItem li)`
Constructors in org.apache.sysds.runtime.instructions.cp with parameters of type Data
Modifier
Constructor
Description
``
`CPOperand(String name, Data dat)`
``
`ListObject(Data[] data)`
``
`ListObject(Data[] data, String[] names)`
Constructor parameters in org.apache.sysds.runtime.instructions.cp with type arguments of type Data
Modifier
Constructor
Description
``
`ListObject(List<Data> data)`
``
`ListObject(List<Data> data, List<String> names)`
``
`ListObject(List<Data> data, List<String> names, List<LineageItem> lineage)`

## Uses of Data in org.apache.sysds.runtime.instructions.fed

Methods in org.apache.sysds.runtime.instructions.fed with parameters of type Data
Modifier and Type
Method
Description
`FederatedResponse`
MultiReturnParameterizedBuiltinFEDInstruction.CreateFrameEncoder.`execute(ExecutionContext ec, Data... data)`
`FederatedResponse`
MultiReturnParameterizedBuiltinFEDInstruction.ExecuteFrameEncoder.`execute(ExecutionContext ec, Data... data)`
`FederatedResponse`
ParameterizedBuiltinFEDInstruction.DecodeMatrix.`execute(ExecutionContext ec, Data... data)`
`FederatedResponse`
QuantilePickFEDInstruction.CreateMatrixFromFrame.`execute(ExecutionContext ec, Data... data)`
`FederatedResponse`
QuantilePickFEDInstruction.GetHistogram.`execute(ExecutionContext ec, Data... data)`
`FederatedResponse`
QuantilePickFEDInstruction.GetValuesInRange.`execute(ExecutionContext ec, Data... data)`
`FederatedResponse`
QuantilePickFEDInstruction.GetValuesInRanges.`execute(ExecutionContext ec, Data... data)`
`FederatedResponse`
QuantilePickFEDInstruction.MinMax.`execute(ExecutionContext ec, Data... data)`
`FederatedResponse`
ReorgFEDInstruction.DiagMatrix.`execute(ExecutionContext ec, Data... data)`
`FederatedResponse`
ReorgFEDInstruction.Rdiag.`execute(ExecutionContext ec, Data... data)`
`FederatedResponse`
ReorgFEDInstruction.SliceMatrix.`execute(ExecutionContext ec, Data... data)`

## Uses of Data in org.apache.sysds.runtime.lineage

Methods in org.apache.sysds.runtime.lineage that return Data
Modifier and Type
Method
Description
`static Data`
LineageRecomputeUtils.`parseNComputeLineageTrace(String mainTrace)`
Methods in org.apache.sysds.runtime.lineage with parameters of type Data
Modifier and Type
Method
Description
`static boolean`
LineageCacheConfig.`isOutputFederated(Instruction inst, Data data)`
`static void`
LineageCache.`putFedReadObject(Data data, LineageItem li, ExecutionContext ec)`
`static void`
LineageCache.`putValueAsyncOp(LineageItem instLI, Data data, MatrixBlock mb, long starttime)`

## Uses of Data in org.apache.sysds.runtime.util

Methods in org.apache.sysds.runtime.util that return types with arguments of type Data
Modifier and Type
Method
Description
`static List<Data>`
AutoDiff.`parseNComputeAutoDiffFromLineage(MatrixObject mo, String mainTrace, ArrayList<String> names, ExecutionContext ec)`
Methods in org.apache.sysds.runtime.util with parameters of type Data
Modifier and Type
Method
Description
`static String`
ProgramConverter.`serializeDataObject(String key, Data dat)`
Method parameters in org.apache.sysds.runtime.util with type arguments of type Data
Modifier and Type
Method
Description
`static ListObject`
AutoDiff.`getBackward(MatrixObject mo, ArrayList<Data> lineage, ExecutionContext adec)`